# ↪ oracles

#### HyperlendOracle

Contract for obtaining asset prices and managing price sources.

This contract is governed by Hyperlend Governance.

***

**View Methods**

**`getAssetPrice`**

```solidity
solidityCopy codefunction getAssetPrice(address asset) public view override returns (uint256)
```

Retrieves the price of the supported `asset` in the `BASE_CURRENCY` of the Hyperlend Market, denominated in wei.

**Input Parameters:**

| Name  | Type    | Description              |
| ----- | ------- | ------------------------ |
| asset | address | The address of the asset |

**Return Values:**

| Type    | Description                                                              |
| ------- | ------------------------------------------------------------------------ |
| uint256 | The price of the asset in the `BASE_CURRENCY` of Hyperlend Market in wei |

***

**`getAssetsPrices`**

```solidity
solidityCopy codefunction getAssetsPrices(address[] calldata assets) external view override returns (uint256[] memory)
```

Retrieves a list of prices for a given list of supported `assets` in the `BASE_CURRENCY` of the Hyperlend Market. All prices are denominated in wei.

**Input Parameters:**

| Name   | Type       | Description                                     |
| ------ | ---------- | ----------------------------------------------- |
| assets | address\[] | The list of asset addresses to query prices for |

**Return Values:**

| Type       | Description                                                                          |
| ---------- | ------------------------------------------------------------------------------------ |
| uint256\[] | The prices of the specified assets in the `BASE_CURRENCY` of Hyperlend Market in wei |

***

**`getSourceOfAsset`**

```solidity
solidityCopy codefunction getSourceOfAsset(address asset) external view override returns (address)
```

Returns the address of the price source for a specific `asset`.

**Input Parameters:**

| Name  | Type    | Description              |
| ----- | ------- | ------------------------ |
| asset | address | The address of the asset |

**Return Values:**

| Type    | Description                     |
| ------- | ------------------------------- |
| address | The address of the price source |

***

**`getFallbackOracle`**

```solidity
solidityCopy codefunction getFallbackOracle() external view returns (address)
```

Retrieves the address of the fallback oracle.

**Return Values:**

| Type    | Description                        |
| ------- | ---------------------------------- |
| address | The address of the fallback oracle |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyperlend.finance/developer-documentation/core-pools/oracles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
